import {
  defineConfig,
  presetAttributify,
  presetIcons,
  presetUno,
  presetWebFonts,
  transformerDirectives,
  transformerVariantGroup,
} from 'unocss'

export default defineConfig({
  presets: [
    presetUno(),
    presetAttributify(),
    presetIcons(),
    presetWebFonts({
      provider: 'google',
      fonts: {
        sans: 'Barlow',
        serif: 'DM Serif Display',
      },
    }),
  ],
  transformers: [transformerDirectives(), transformerVariantGroup()],
  shortcuts: {
  },
  rules: [
    ['main-height', { height: 'calc(100vh - 80px)' }],
    ['main-width', { width: 'calc(100vw - 424px)' }],
    ['pane-height', { height: 'calc(100vh - 168px)' }],
    ['table-columns', { 'grid-template-columns': 'minmax(40px, .2fr) minmax(150px, 1.5fr) minmax(150px, 1.67fr) minmax(100px, 0.2fr) minmax(150px, 1.5fr)' }],
  ],
  theme: {
    colors: {
      arctic: {
        50: '#e6e9eb',
        100: '#ccd4d8',
        200: '#b3bec4',
        300: '#99a8b0',
        400: '#80939d',
        500: '#667d89',
        600: '#4d6775',
        700: '#335161',
        800: '#1a3c4e',
        DEFAULT: '#00263A',
      },
      mint: {
        50: '#edfbf5',
        100: '#daf7ea',
        200: '#b6eed5',
        300: '#91e6c1',
        400: '#6dddac',
        DEFAULT: '#48D597',
        600: '#3aaa79',
        700: '#2b805b',
        800: '#1d553c',
        900: '#0e2b1e',
      },
      pacific: {
        50: '#e6f1fa',
        100: '#cce3f5',
        200: '#99c7eb',
        300: '#66aae2',
        400: '#338ed8',
        DEFAULT: '#0072CE',
        600: '#005ba5',
        700: '#00447c',
        800: '#002e52',
        900: '#001729',
      },
      prestige: {
        50: '#f1ebf8',
        100: '#e3d8f2',
        200: '#c8b1e5',
        300: '#ac89d7',
        400: '#9162ca',
        DEFAULT: '#753BBD',
        600: '#5e2f97',
        700: '#462371',
        800: '#2f184c',
        900: '#170c26',
      },
      greyscale: {
        100: '#DDE5ED',
        200: '#C5CFDA',
        300: '#98A4AE',
        400: '#768692',
        500: '#425563',
        600: '#101820',
      },
      error: '#FF585D',
      warning: '#FFA400',
    },
  },
})
